Apache Tomcat 7.0.42

## org.apache.catalina.manager.util
Class ReverseComparator

    java.lang.Object
      org.apache.catalina.manager.util.ReverseComparator

All Implemented Interfaces:
  Comparator<Session>

    public class ReverseComparator

extends Object
implements Comparator<Session>

Comparator which reverse the sort order

Author:
  Cédrik LIME

Field Summary
`protected Comparator<Session>` `comparator`

Constructor Summary
`ReverseComparator(Comparator<Session> comparator)`

Method Summary
`int` `compare(Session o1, Session o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### comparator

    protected Comparator<Session> comparator

Constructor Detail

### ReverseComparator

    public ReverseComparator(Comparator<Session> comparator)

Method Detail

### compare

    public int compare(Session o1,
                       Session o2)

  Specified by:
    `compare` in interface `Comparator<Session>`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.